package edu.sc.seis.gee.task;

import java.util.Map;
import edu.sc.seis.gee.CommonAccess;
import edu.sc.seis.gee.configurator.ConfigurationException;

/**
 * TestAskTask.java
 *
 *
 * Created: Thu Jan 10 21:36:46 2002
 *
 * @author <a href="mailto:">Philip Crotwell</a>
 * @version
 */

public class TestAskTask implements Task {
    public TestAskTask (){
	
    }
    
    public void configure(Map params) throws ConfigurationException {
	configParams = params;
	String respondId = (String)params.get("respondId");
	TaskAction respondAction = 
	    CommonAccess.getCommonAccess().getTaskAction(respondId);
	respond = (TestRespondTask)respondAction.getTask();
    }

    public void invoke() {
	System.out.println(respond.getResponse());
    }

    public void destroy(){}

    Map configParams;

    TestRespondTask respond;

}// TestAskTask
